let angle = 0;

function setup() {
  createCanvas(600, 600);
  angleMode(DEGREES);
  noStroke(); // No outline for shapes
}

function draw() {
  background(255); // White background
  translate(width / 2, height / 2); // Center the origin

  // Draw multiple rotating triangles
  for (let a = 0; a < 360; a += 15) { // 15 degrees apart
    push(); // Save the current transformation state
    rotate(a + angle); // Rotate by the outer angle plus the rotation increment

    fill(random(255), random(255), random(255), 200); // Random color with transparency
    drawTriangle(0, 0, 100); // Draw triangle
    
    pop(); // Restore the previous state
  }

  angle += 2; // Increment the angle for rotation
}

// Function to draw a triangle
function drawTriangle(x, y, size) {
  beginShape();
  vertex(x, y - size); // Top vertex
  vertex(x - size * sin(60), y + size * cos(60)); // Bottom left vertex
  vertex(x + size * sin(60), y + size * cos(60)); // Bottom right vertex
  endShape(CLOSE);
}